local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local mMT = E:GetModule(mPlugin);
local DT = E:GetModule("DataTexts");
local addon, ns = ...
local mText = format("Dock %s", QUESTLOG_BUTTON)
local mTextName = "mQuest"

local function mDockCheckFrame()
	return ( WorldMapFrame and WorldMapFrame:IsShown() )
end

function mMT:CheckFrameQuest(self)
	mMT:DockTimerCheck(self, mDockCheckFrame())
end

local function OnEnter(self)
	mMT:mOnEnter(self, QUESTLOG_BUTTON)
end

local function OnEvent(self, event, ...)
	mMT:mOnEvent(self, nil, nil, nil, mDockCheckFrame(), E.db[mPlugin].mDock.textures.quest.path, "CheckFrameQuest")
end

local function OnLeave(self)
	mMT:mOnLeave(self, mDockCheckFrame())
end

local function OnClick(self)
	mMT:mClick(self, "CheckFrameQuest")
	if not mMT:mCheckCombat() then
		ToggleQuestLog()
	end
end

DT:RegisterDatatext(mTextName, nil, nil, OnEvent, nil, OnClick, OnEnter, OnLeave, mText, nil)